import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.Random;
import java.awt.Color;

/**
 * Populating the world throught the levels is here and the winner,loser...etc
 */

public class SaveTheWorld  extends World
{

    
    public SaveTheWorld()
    {    
        super(600,600,1); 
        createWelcomeScreen();
    }
    
    public void populateLevelEasy()
    {
        removeObjects(getObjects(null));    
        
        setBackground("street.png");
        addObject(new Hero(),323,289);
        
        addObject(new Hlog(),296,575);
        addObject(new Hlog(),466,220);
        addObject(new Hlog(),321,316);
        addObject(new Hlog(),178,276);
        addObject(new Hlog(),325,433);
        addObject(new Hlog(),521,476);
        
        addObject(new TheRecycleBasket1(),500,200);
        
        addObject(new Bottels(),417,474);
        addObject(new Bottels(),265,484);
        addObject(new Bottels(),319,376);
        addObject(new Bottels(),392,247);
        addObject(new Bottels(),223,225);
        addObject(new Bottels(),98,188);
        
        addObject(new Papers(),509,361);
        addObject(new Papers(),575,575);
        addObject(new Papers(),137,175);
        addObject(new Papers(),29,510);
        addObject(new Papers(),72,314);
        addObject(new Papers(),377,203);
        
        addObject(new Clock1(), 100, 35);
        
         int b = 0;
        while (b <= 15)
        {
            addObject(new Slog(),15+ (b*48) ,592);
            b++;
        }
    }
    
    public void populateLevelMedium()
    {
        removeObjects(getObjects(null));    
        
        setBackground("Level2.png");
        
        addObject(new Hero(),285,520);
        addObject(new Clock(), 100, 35);
        
        addObject(new Slog(),287,550);
        addObject(new Slog(),399,389);
        addObject(new Slog(),285,442);
        addObject(new Slog(),152,381);

        addObject(new Hlog(),287,228);
        
        addObject(new Vlog(),513,177);
        addObject(new Vlog(),62,179);
        
        addObject(new Enemy1(), 16,475);
        addObject(new Enemy1(), 589,345);
        
        addObject(new TheRecycleBasket2(),500,200);
        
        int a = 0;
        while (a<=5)
        {
            addObject(new Papers(),Greenfoot.getRandomNumber(540)+10, Greenfoot.getRandomNumber(540)+10);
            addObject(new Bottels(),Greenfoot.getRandomNumber(540)+10, Greenfoot.getRandomNumber(540)+10);
            a++;
        }
        
        int b = 0;
        while (b <= 15)
        {
            addObject(new Slog(),15+ (b*48) ,592);
            b++;
        }
    }
    
    public void populateLevelHard()
    {
        removeObjects(getObjects(null));  
        setBackground("level creek flood.png");
        
        addObject(new Hero(),300,450);
        addObject(new Clock(), 100, 35);
        
        addObject(new TheRecycleBasket3(),500,200);
        
        int a = 0;
        while (a<=5)
        {
            addObject(new Papers(),Greenfoot.getRandomNumber(540)+10, Greenfoot.getRandomNumber(540)+10);
            addObject(new Bottels(),Greenfoot.getRandomNumber(540)+10, Greenfoot.getRandomNumber(540)+10);
            a++;
        }
            addObject(new Enemy2(),42,26);
            addObject(new Enemy2(),560,26);
            
            addObject(new Log(0,true),240,160);
            addObject(new Log(0,true),290,350);
            
            addObject(new Hlog(),297,477);
            addObject(new Hlog(),461,230);
        }
    
        
     //remove everything before setting it up
     //these commands are usd throught the game, and just called in each actor by default
    public void createWelcomeScreen()
    {
        removeObjects(getObjects(null));    
        addObject(new WelcomeScreen(), 288, 340);
    }
    public void getCredits()
    {
        removeObjects(getObjects(null));    
        addObject(new Credits(),305,308);
    }
    public void getInstructions()
    {
        removeObjects(getObjects(null));    
        addObject(new Instructions1(), 302,319);
    }
    public void instructions2()
    {
         removeObjects(getObjects(null)); 
         setBackground("weave.jpg");
         addObject(new Instructions2(), 296, 327);
    }
     public void instructions3()
    {
         removeObjects(getObjects(null)); 
         setBackground("weave.jpg");
         addObject(new Instructions3(), 296, 327);
    }
     public void instructions4()
    {
         removeObjects(getObjects(null)); 
         setBackground("weave.jpg");
         addObject(new Instructions4(), 296, 327);
    }
    public void getWinner()
    {
        removeObjects(getObjects(null)); 
        setBackground("weave.jpg");
        addObject(new Winner(), 296, 327);      
    }
    public void getLoser()
    { 
        removeObjects(getObjects(null)); 
        setBackground("weave.jpg");
        addObject(new Loser(), 296, 291);  
    }
}
