import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Vlog here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Vlog  extends CircularMover
{
        private static final double WALKING_SPEED = 4.0;
        
    /**
     * Act - do whatever the Vlog wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        move();
        turnAtEdge();
        follow();
    }  
    
    public void move()
    {
        double angle = Math.toRadians( getRotation() );
        int x = (int) Math.round(getX() + Math.sin(angle) * WALKING_SPEED);
        int y = (int) Math.round(getY() + Math.cos(angle) * WALKING_SPEED);
        
        setLocation(x, y);
    }
    public void turn(int angle)
    {
        setRotation(getRotation() + angle);
    }
    
    public void turnAtEdge()
    {
        if(atWorldEdge())
        {
            turn(180);
           getImage().mirrorVertically();
        }
    }
    public boolean atWorldEdge()
    {
        if(getX() < 20 || getX() > getWorld().getWidth() - 20)
            return true;
        if(getY() < 20 || getY() > getWorld().getHeight() - 20)
            return true;
        else
            return false;
    }
    public void follow()
   {
        
        Actor actor = getOneIntersectingObject(Hero.class);
        if(actor != null) 
        {
            actor.setLocation ( getX() + 5, getY()-20 );
        }
    }
}
