import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)


public class Hero  extends Actor
{

    private int speed = 20;
    private int vSpeed = 5;
    
    public void act() 
    {
        checkKeys();
        follow();
        testOnLog();
    }    
    
    public void checkKeys()
    {
        if (Greenfoot.isKeyDown("right"))
            {
                setLocation( getX() + speed, getY());
            }
        if (Greenfoot.isKeyDown("left"))
            {
                setLocation( getX() - speed, getY());
            }
        if ((Greenfoot.isKeyDown("up")) && (onLog()))
            {
               vSpeed = -25;
               fall();
            }
        }
            
      
      public void follow()
   {
        
        Actor actor = getOneIntersectingObject(Recycled.class);
        if(actor != null) 
        {
            actor.setLocation ( this.getX() + 20, this.getY() +20 );
        }
    }
      
       public boolean canSee(Class clss)
    {
        Actor actor = getOneObjectAtOffset(0, 0, clss);
        return actor != null;        
    }
        public void eat(Class clss)
        {
            Actor actor = getOneObjectAtOffset(0, 0, clss);
            if(actor != null)
                {
                    getWorld().removeObject(actor);
                }
        }
     public boolean onLog()
    {
        Actor under = getOneObjectAtOffset ( 0, getImage().getHeight()/2, CircularMover.class);
        return under != null;
    }   
     public void fall()
     {
         setLocation( getX() , getY() + vSpeed);
         vSpeed = vSpeed + 2;
     } 
     public void testOnLog()
     {
         if(onLog())
            {
                vSpeed = 0;
            }
            else
            {
                fall();
            }
        }
}
