import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Hlog here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Hlog  extends CircularMover
{
    private static final double WALKING_SPEED = 4.0;
    
    public void act() 
    {
      turnAtEdge();
      follow();
      move();

    } 
    public void move()
    {
        double angle = Math.toRadians( getRotation() );
        int x = (int) Math.round(getX() + Math.cos(angle) * WALKING_SPEED);
        int y = (int) Math.round(getY() + Math.sin(angle) * WALKING_SPEED);
        
        setLocation(x, y);
    }
    public boolean atWorldEdge()
    {
        if(getX() < 20 || getX() > getWorld().getWidth() - 20)
            return true;
        if(getY() < 20 || getY() > getWorld().getHeight() - 20)
            return true;
        else
            return false;
    }
    public void turn(int angle)
    {
        setRotation(getRotation() + angle);
    }
    
    public void turnAtEdge()
    {
        if(atWorldEdge())
        {
            turn(180);
            getImage().mirrorVertically();
        }
    }
     public void follow()
   {
        
        Actor actor = getOneIntersectingObject(Hero.class);
        if(actor != null) 
        {
            actor.setLocation ( getX() + 5, getY()-20 );
        }
    }
   
}
